library curve_cut_text;

/// A Calculator.
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class CurveCutText extends StatelessWidget {
  final String title;
  final double radius;
  final Color curveColor;

  const CurveCutText({
    Key? key,
    required this.title,
    this.radius = 80.0,
    this.curveColor = Colors.white,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Stack(alignment: Alignment.topCenter, children: [
        Text(
          title,
          textDirection: TextDirection.ltr,
          style: const TextStyle(color: Colors.black),
        ),
        Positioned(
          top: 9.0,
          child: Container(
            height: radius,
            width: radius,
            decoration: BoxDecoration(
                border: Border.all(color: curveColor, width: 3.0),
                color: Colors.white.withOpacity(0.8),
                borderRadius: BorderRadius.all(Radius.circular(radius / 2))),
          ),
        ),
      ]),
    );
  }
}
